## libclaw 1.7.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

IF(CMAKE_COMPILER_IS_GNUCXX)
  ADD_DEFINITIONS(-Wall -ansi -pedantic)
ENDIF(CMAKE_COMPILER_IS_GNUCXX)

project(claw)

include_directories(.)

set( CLAW_VERSION_MAJOR 1 )
set( CLAW_VERSION_MINOR 7 )
set( CLAW_RELEASE_NUMBER 3 )

set( CLAW_VERSION
  ${CLAW_VERSION_MAJOR}.${CLAW_VERSION_MINOR}.${CLAW_RELEASE_NUMBER} 
  )

set(CLAW_REVISION_NUMBER 0)

find_file(SVN_ENTRIES ".svn/entries" PATH ${CMAKE_CURRENT_SOURCE_DIR})
if(SVN_ENTRIES)
  find_package(Subversion)
  if(Subversion_FOUND)
    Subversion_WC_INFO(${CMAKE_CURRENT_SOURCE_DIR} INFO)
    set(CLAW_REVISION_NUMBER ${INFO_WC_REVISION})
  endif(Subversion_FOUND)
endif(SVN_ENTRIES)

set( CLAW_CODE_DIR claw/code/ )
set( CLAW_INCLUDE_DIRECTORY "${CMAKE_INSTALL_PREFIX}/include/" )
set( CLAW_INSTALLDIR_SOURCE include/claw/ )
set( CLAW_INSTALLDIR_LIB lib/ )
set( CLAW_INSTALLDIR_DOC share/doc/libclaw${CLAW_VERSION_MAJOR}/ )
set( CLAW_TRANSLATIONS_INSTALL_DIR "share/locale" )
set( CLAW_EXECUTABLE_DIR bin/ )

set( CLAW_LIBRARIES
  claw_application
  claw_configuration_file
  claw_dynamic_library
  claw_graphic
  claw_logger
  claw_net
  claw_tween
  )

# custom build options
option( CLAW_NO_JPEG
        "Turn off jpeg support"
        OFF )
option( CLAW_NO_PNG
        "Turn off png support"
        OFF )
option( CLAW_INSTALL_CMAKE_MODULES
        "Install cmake modules for CLAW"
        ON )

#-------------------------------------------------------------------------------
# look for the jpeg library
if( CLAW_NO_JPEG )
else( CLAW_NO_JPEG )
  include( ${CMAKE_ROOT}/Modules/FindJPEG.cmake )
  set( CLAW_DEFINITIONS ${CLAW_DEFINITIONS} -DCLAW_JPEG_SUPPORT )
  include_directories(${JPEG_INCLUDE_DIR})
endif( CLAW_NO_JPEG )

# look for the png library
if( CLAW_NO_PNG )
else( CLAW_NO_PNG )
  include( ${CMAKE_ROOT}/Modules/FindPNG.cmake )
  set( CLAW_DEFINITIONS ${CLAW_DEFINITIONS} -DCLAW_PNG_SUPPORT )
  include_directories(${PNG_INCLUDE_DIR})
endif( CLAW_NO_PNG )

#-------------------------------------------------------------------------------
# set compilation defines
add_definitions( ${CLAW_DEFINITIONS} )

#-------------------------------------------------------------------------------
# application
set( CLAW_APPLICATION_SOURCES
  ${CLAW_CODE_DIR}application.cpp
  ${CLAW_CODE_DIR}arguments.cpp
  ${CLAW_CODE_DIR}arguments_table.cpp
)
add_library( claw_application SHARED ${CLAW_APPLICATION_SOURCES} )
add_library( claw_application-static ${CLAW_APPLICATION_SOURCES} )
target_link_libraries( claw_application claw_logger )

if( NOT WIN32 )
  set_target_properties(
    claw_application
    PROPERTIES
    COMPILE_DEFINITIONS "CLAW_TEXT_DOMAIN_PATH=${CMAKE_INSTALL_PREFIX}/${CLAW_TRANSLATIONS_INSTALL_DIR}"
    )
  set_target_properties(
    claw_application-static
    PROPERTIES
    COMPILE_DEFINITIONS "CLAW_TEXT_DOMAIN_PATH=${CMAKE_INSTALL_PREFIX}/${CLAW_TRANSLATIONS_INSTALL_DIR}"
    )
endif( NOT WIN32 )

# configuration file
set( CLAW_CONFIGURATION_FILE_SOURCES
  ${CLAW_CODE_DIR}configuration_file.cpp
)
add_library( claw_configuration_file SHARED ${CLAW_CONFIGURATION_FILE_SOURCES} )
add_library(
  claw_configuration_file-static
  STATIC ${CLAW_CONFIGURATION_FILE_SOURCES}
)

# dynamic libraries
set( CLAW_DYNAMIC_LIBRARY_SOURCES
  ${CLAW_CODE_DIR}dynamic_library.cpp
)
add_library( claw_dynamic_library SHARED ${CLAW_DYNAMIC_LIBRARY_SOURCES} )
add_library(
  claw_dynamic_library-static
  STATIC ${CLAW_DYNAMIC_LIBRARY_SOURCES}
)
target_link_libraries( claw_dynamic_library ${CMAKE_DL_LIBS} )

# log system
set( CLAW_LOGGER_SOURCES
  ${CLAW_CODE_DIR}logger.cpp
  ${CLAW_CODE_DIR}log_stream.cpp
  ${CLAW_CODE_DIR}log_stream_concise.cpp
  ${CLAW_CODE_DIR}log_stream_uniq.cpp
  ${CLAW_CODE_DIR}log_level.cpp
)
add_library( claw_logger SHARED ${CLAW_LOGGER_SOURCES} )
add_library( claw_logger-static STATIC ${CLAW_LOGGER_SOURCES} )

if( WIN32 )
  target_link_libraries( claw_logger intl )
  set_target_properties( claw_logger-static
    PROPERTIES COMPILE_FLAGS
    "-DCLAW_LOGGER_NO_EXPORT" )
endif( WIN32 )

# network
set( CLAW_NET_SOURCES
  ${CLAW_CODE_DIR}basic_socket.cpp
  ${CLAW_CODE_DIR}socket_server.cpp
)
add_library( claw_net SHARED ${CLAW_NET_SOURCES} )
add_library( claw_net-static STATIC ${CLAW_NET_SOURCES} )

if( WIN32 )
  target_link_libraries( claw_net wsock32 )
endif( WIN32 )

# graphic
set( CLAW_GRAPHIC_LIBRARIES )
set( CLAW_GRAPHIC_SOURCES
     ${CLAW_CODE_DIR}image.cpp
     ${CLAW_CODE_DIR}bitmap.cpp
     ${CLAW_CODE_DIR}bitmap_writer.cpp
     ${CLAW_CODE_DIR}bitmap_reader.cpp
     ${CLAW_CODE_DIR}gif.cpp
     ${CLAW_CODE_DIR}gif_frame.cpp
     ${CLAW_CODE_DIR}gif_reader.cpp
     ${CLAW_CODE_DIR}pcx.cpp
     ${CLAW_CODE_DIR}pcx_reader.cpp
     ${CLAW_CODE_DIR}pcx_writer.cpp
     ${CLAW_CODE_DIR}pixel.cpp
     ${CLAW_CODE_DIR}targa.cpp
     ${CLAW_CODE_DIR}targa_writer.cpp
     ${CLAW_CODE_DIR}targa_reader.cpp
     ${CLAW_CODE_DIR}targa_file_structure.cpp
     ${CLAW_CODE_DIR}xbm.cpp
     ${CLAW_CODE_DIR}xbm_reader.cpp
     ${CLAW_CODE_DIR}xbm_writer.cpp
 )

# check jpeg library
if( JPEG_FOUND )
  set( CLAW_GRAPHIC_LIBRARIES ${CLAW_GRAPHIC_LIBRARIES} ${JPEG_LIBRARIES} )
  set( CLAW_GRAPHIC_SOURCES ${CLAW_GRAPHIC_SOURCES}
      ${CLAW_CODE_DIR}jpeg.cpp
      ${CLAW_CODE_DIR}jpeg_reader.cpp
      ${CLAW_CODE_DIR}jpeg_writer.cpp
      ${CLAW_CODE_DIR}jpeg_error_manager.cpp
   )
else( JPEG_FOUND )
  message( "jpeg library not found." )
endif( JPEG_FOUND )

# check png library
if( PNG_FOUND )
  set( CLAW_GRAPHIC_LIBRARIES ${CLAW_GRAPHIC_LIBRARIES} ${PNG_LIBRARIES} )
  set( CLAW_GRAPHIC_SOURCES ${CLAW_GRAPHIC_SOURCES}
      ${CLAW_CODE_DIR}png.cpp
      ${CLAW_CODE_DIR}png_reader.cpp
      ${CLAW_CODE_DIR}png_writer.cpp
   )
else( PNG_FOUND )
  message( "png library not found." )
endif( PNG_FOUND )

add_library( claw_graphic SHARED ${CLAW_GRAPHIC_SOURCES} )
add_library( claw_graphic-static STATIC ${CLAW_GRAPHIC_SOURCES} )
target_link_libraries(claw_graphic ${CLAW_GRAPHIC_LIBRARIES})

# tween
set( CLAW_TWEEN_SOURCES
  ${CLAW_CODE_DIR}tween/base_tweener.cpp
  ${CLAW_CODE_DIR}tween/single_tweener.cpp
  ${CLAW_CODE_DIR}tween/tweener.cpp
  ${CLAW_CODE_DIR}tween/tweener_group.cpp
  ${CLAW_CODE_DIR}tween/tweener_sequence.cpp
  ${CLAW_CODE_DIR}tween/easing/easing_circ.cpp
  ${CLAW_CODE_DIR}tween/easing/easing_none.cpp
  ${CLAW_CODE_DIR}tween/easing/easing_linear.cpp
  ${CLAW_CODE_DIR}tween/easing/easing_elastic.cpp
  ${CLAW_CODE_DIR}tween/easing/easing_quint.cpp
  ${CLAW_CODE_DIR}tween/easing/easing_cubic.cpp
  ${CLAW_CODE_DIR}tween/easing/easing_back.cpp
  ${CLAW_CODE_DIR}tween/easing/easing_quad.cpp
  ${CLAW_CODE_DIR}tween/easing/easing_sine.cpp
  ${CLAW_CODE_DIR}tween/easing/easing_quart.cpp
  ${CLAW_CODE_DIR}tween/easing/easing_bounce.cpp
  ${CLAW_CODE_DIR}tween/easing/easing_expo.cpp
)
include(FindBoost)

find_package( Boost 1.42 )

if( NOT Boost_FOUND )
  message( FATAL_ERROR "Can't find Boost library on version greater or equal to 1.42 on your system." )
endif( NOT Boost_FOUND )

#-------------------------------------------------------------------------------
# Include directories for Boost
include_directories(
  ${Boost_INCLUDE_DIR}
  )

add_library( claw_tween SHARED ${CLAW_TWEEN_SOURCES} )
add_library(
  claw_tween-static
  STATIC ${CLAW_TWEEN_SOURCES}
)

# extra flags for the link
set_target_properties(
 ${CLAW_LIBRARIES}
 PROPERTIES LINK_FLAGS "-s -Wl,--as-needed" )

# all libraries
set( CLAW_ALL_LIBRARIES ${CLAW_LIBRARIES} ${CLAW_GRAPHIC_LIBRARIES})

#-------------------------------------------------------------------------------
# subdirectories
subdirs( doc claw desktop )

#-------------------------------------------------------------------------------
# install libraries
foreach( lib ${CLAW_LIBRARIES} )
  set_target_properties(
    ${lib} PROPERTIES
    VERSION ${CLAW_VERSION}
    SOVERSION ${CLAW_VERSION_MAJOR}
  )

  set_target_properties(
    ${lib}-static
    PROPERTIES OUTPUT_NAME
    ${lib}
    CLEAN_DIRECT_OUTPUT 1
    )

  install( TARGETS ${lib} DESTINATION ${CLAW_INSTALLDIR_LIB}  )
  install( TARGETS ${lib}-static DESTINATION ${CLAW_INSTALLDIR_LIB}  )
endforeach( lib )

install( FILES COPYING DESTINATION ${CLAW_INSTALLDIR_DOC} )

# target to uninstall files
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
  IMMEDIATE @ONLY)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

if(UNIX)
  # configuration script
  configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/claw-config.in"
    "${CMAKE_CURRENT_BINARY_DIR}/claw-config"
    IMMEDIATE @ONLY)

  install( FILES "${CMAKE_CURRENT_BINARY_DIR}/claw-config"
    DESTINATION ${CLAW_EXECUTABLE_DIR}
    PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE
      GROUP_READ GROUP_EXECUTE
      WORLD_READ WORLD_EXECUTE )
endif(UNIX)

# version
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/claw/version.hpp.in"
  "${CMAKE_CURRENT_BINARY_DIR}/claw/version.hpp"
)

install( FILES
  "${CMAKE_CURRENT_BINARY_DIR}/claw/version.hpp"
  DESTINATION "${CLAW_INSTALLDIR_SOURCE}" )

if(WIN32)
  subdirs(win)
endif(WIN32)

# check if we have to install cmake modules
if( CLAW_INSTALL_CMAKE_MODULES )
  subdirs( cmake-module )
endif( CLAW_INSTALL_CMAKE_MODULES )

=== cmake-module/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(claw:cmake-modules)

if( NOT CLAW_CMAKE_MODULES_INSTALL_PATH )
  set( CLAW_CMAKE_MODULES_INSTALL_PATH "share/cmake/libclaw" )
endif( NOT CLAW_CMAKE_MODULES_INSTALL_PATH )

set( CLAW_CMAKE_MODULES
  libclaw-config.cmake
  )

#-------------------------------------------------------------------------------
# installation
install(
  FILES ${CLAW_CMAKE_MODULES}
  DESTINATION "${CLAW_CMAKE_MODULES_INSTALL_PATH}" )

=== desktop/CMakeLists.txt ===
subdirs( locale )

=== examples/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

project(claw-examples)

subdirs( 
  application
  automaton
  avl
  compress
  config_file
  curve
  dynamic_library
  graph
  game_ai
  image
  iterator
  kmp
  memory
  multi_type_map
  ordered_set
  singleton
  sockets
  string_algorithm
  system
  trie )

=== examples/application/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(claw-application-example)

# check profiling mode
if( CMAKE_BUILD_TYPE MATCHES profile )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE} -pg" )
endif( CMAKE_BUILD_TYPE MATCHES profile )

# check DEBUG mode
if( CMAKE_BUILD_TYPE MATCHES debug )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_DEBUG" )
endif( CMAKE_BUILD_TYPE MATCHES debug )

# common flags
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ansi -pedantic -Wall" )

#-------------------------------------------------------------------------------
# look for libraries
find_package(libclaw)

add_definitions( ${CLAW_DEFINITIONS} )
include_directories( ${CLAW_INCLUDE_DIRECTORY} )
link_directories( ${CLAW_LINK_DIRECTORY} )

add_executable( ex-application main.cpp )
target_link_libraries( ex-application ${CLAW_APPLICATION_LIBRARIES} )

=== examples/compress/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(claw-codec-example)

# common flags
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ansi -pedantic -Wall" )

find_package(libclaw)

include_directories( ${CLAW_INCLUDE_DIRECTORY} )
add_definitions( ${CLAW_DEFINITIONS} )

add_executable( ex-compress compress.cpp )
add_executable( ex-decompress decompress.cpp )

=== examples/config_file/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(claw-config_file-example)

# check profiling mode
if( CMAKE_BUILD_TYPE MATCHES profile )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE} -pg" )
endif( CMAKE_BUILD_TYPE MATCHES profile )

# check DEBUG mode
if( CMAKE_BUILD_TYPE MATCHES debug )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_DEBUG" )
endif( CMAKE_BUILD_TYPE MATCHES debug )

# common flags
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ansi -pedantic -Wall" )

#-------------------------------------------------------------------------------
# look for libraries
find_package(libclaw)

add_definitions( ${CLAW_DEFINITIONS} )
include_directories( ${CLAW_INCLUDE_DIRECTORY} )
link_directories( ${CLAW_LINK_DIRECTORY} )

add_executable( ex-config main.cpp application.cpp )
target_link_libraries(
  ex-config
  ${CLAW_CONFIGURATION_FILE_LIBRARIES}
  ${CLAW_APPLICATION_LIBRARIES} )

=== examples/iterator/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(claw-iterator-example)

# check profiling mode
if( CMAKE_BUILD_TYPE MATCHES profile )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE} -pg" )
endif( CMAKE_BUILD_TYPE MATCHES profile )

# check DEBUG mode
if( CMAKE_BUILD_TYPE MATCHES debug )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_DEBUG" )
endif( CMAKE_BUILD_TYPE MATCHES debug )

# common flags
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ansi -pedantic -Wall" )

#-------------------------------------------------------------------------------
find_package(libclaw)

include_directories( ${CLAW_INCLUDE_DIRECTORY} )
add_definitions( ${CLAW_DEFINITIONS} )

add_executable( ex-iterator main.cpp )

=== examples/memory/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(claw-memory)

# check profiling mode
if( CMAKE_BUILD_TYPE MATCHES profile )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE} -pg" )
endif( CMAKE_BUILD_TYPE MATCHES profile )

# check DEBUG mode
if( CMAKE_BUILD_TYPE MATCHES debug )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_DEBUG" )
endif( CMAKE_BUILD_TYPE MATCHES debug )

# common flags
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ansi -pedantic -Wall" )

find_package(libclaw)

include_directories( ${CLAW_INCLUDE_DIRECTORY} )
add_definitions( ${CLAW_DEFINITIONS} )

add_executable( ex-memory main.cpp )

=== examples/ordered_set/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(claw-ordered_set-example)

# check profiling mode
if( CMAKE_BUILD_TYPE MATCHES profile )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE} -pg" )
endif( CMAKE_BUILD_TYPE MATCHES profile )

# check DEBUG mode
if( CMAKE_BUILD_TYPE MATCHES debug )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_DEBUG" )
endif( CMAKE_BUILD_TYPE MATCHES debug )

# common flags
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ansi -pedantic -Wall" )

find_package(libclaw)

include_directories( ${CLAW_INCLUDE_DIRECTORY} )
add_definitions( ${CLAW_DEFINITIONS} )

add_executable( ex-ordered_set main.cpp )

=== examples/string_algorithm/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(claw-string_algorithm-example)

# check profiling mode
if( CMAKE_BUILD_TYPE MATCHES profile )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE} -pg" )
endif( CMAKE_BUILD_TYPE MATCHES profile )

# check DEBUG mode
if( CMAKE_BUILD_TYPE MATCHES debug )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_DEBUG" )
endif( CMAKE_BUILD_TYPE MATCHES debug )

# common flags
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ansi -pedantic -Wall" )

find_package(libclaw)

include_directories( ${CLAW_INCLUDE_DIRECTORY} )
add_definitions( ${CLAW_DEFINITIONS} )

add_executable( ex-string_algorithm string_algorithm.cpp )

=== examples/trie/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(claw-trie-example)

# check profiling mode
if( CMAKE_BUILD_TYPE MATCHES profile )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE} -pg" )
endif( CMAKE_BUILD_TYPE MATCHES profile )

# check DEBUG mode
if( CMAKE_BUILD_TYPE MATCHES debug )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_DEBUG" )
endif( CMAKE_BUILD_TYPE MATCHES debug )

# common flags
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ansi -pedantic -Wall" )

find_package(libclaw)

include_directories( ${CLAW_INCLUDE_DIRECTORY} )
add_definitions( ${CLAW_DEFINITIONS} )

add_executable( ex-trie main.cpp )

=== debian/changelog ===
libclaw (1.7.3-2) unstable; urgency=medium

  * Team upload.
  * Depend on libpng-dev only -- libpng1.6 transition

 -- Tobias Frost <tobi@debian.org>  Thu, 21 Jan 2016 08:21:58 +0100

libclaw (1.7.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 791106).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:39:09 +0200

libclaw (1.7.3-1) unstable; urgency=low

  * New upstream release.
    + Drop unneeded patches.
  * Build-dep libpng-dev not libpng12-dev. (Closes: #662394).
  * Move to source format 3.0 (quilt).
    + Drop quilt build-dep.
    + Remove file debian/README.source.
  * Bump debhelper build-dep and compat to 9.
  * Add Homepage tag to source package.
  * Update VCS tags.
  * Fix watch file.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 28 Jun 2013 05:40:33 -0400

libclaw (1.7.0-3) unstable; urgency=low

  * Team upload
  * Fix build failure with GCC 4.7, thanks to Matthias Klose (Closes: #671475)

 -- Dmitrijs Ledkovs <xnox@debian.org>  Sun, 27 May 2012 17:10:02 +0100

libclaw (1.7.0-2) unstable; urgency=low

  * Upload in unstable
  * Add myself in Uploader

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed, 14 Sep 2011 16:33:51 +0200

libclaw (1.7.0-1) experimental; urgency=low

  * New upstream release.
  * Add a B-D on libboost-dev
  * Remove debian/claw-config.man.sgml and use the manpage provided with in the
    upstream package.

 -- Julien Jorge <julien.jorge@gamned.org>  Sat, 27 Aug 2011 18:30:24 +0200

libclaw (1.6.1-6) unstable; urgency=low

  [ Julien Jorge ]
  * Add missing include directive for libpng1.5 transition. Thanks to
    Nobuhiro Iwmatsu <iwamatsu@nigauri.org>. (Closes: #635951)
  * Install the CMake module in prefix/share/cmake/libclaw. (Closes: #635980)

 -- Julien Jorge <julien.jorge@gamned.org>  Sun, 21 Aug 2011 16:02:22 +0200

libclaw (1.6.1-5) unstable; urgency=low

  * Team upload.
  * Prepare for libjpeg8 transition. Build-depend on libjpeg-dev instead of
    libjpeg62-dev. Make libclaw-graphic-dev depend on libjpeg-dev instead of
    libjpeg62-dev. (Closes: #629960)
  * Comment out removal of
    $(CURDIR)/debian/tmp/usr/share/doc/libclaw1/html/jquery.js in
    debian/rules as it's apperently not installed there at all and lead to a
    FTBFS.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Wed, 20 Jul 2011 13:45:24 +0200

libclaw (1.6.1-4) unstable; urgency=low

  [ Julien Jorge ]
  * Add missing #include <cstddef> to use ptrdiff_t and compile with g++ 4.6.
    Thanks Sébastien Debrard (Closes: #625038, #624919) (LP: #770805).
  * Add libjs-jquery to the dependencies of libclaw-doc.
  * Replace the jquery.js file generated by doxygen with a link to the file
    from libjs-jquery 

  [ Gonéri Le Bouder ]
  * Bump standard version to 3.9.2

 -- Julien Jorge <julien.jorge@gamned.org>  Sat, 07 May 2011 20:35:25 +0200

libclaw (1.6.1-3) unstable; urgency=low

  * Upload in sid

 -- Julien Jorge <julien.jorge@gamned.org>  Thu, 23 Dec 2010 20:55:14 +0100

libclaw (1.6.1-2) experimental; urgency=low

  * Set the architecture of libclaw-i18n to all

 -- Julien Jorge <julien.jorge@gamned.org>  Wed, 08 Dec 2010 08:26:56 +0100

libclaw (1.6.1-1) experimental; urgency=low

  * New upstream release (Closes: #565023).
  * claw-config.man.sgml: minor updates
  * Add a B-D on gettext
  * Bump the standard-Version, no changes
  * Add the missing ${misc:Depends} in debian/control

 -- Julien Jorge <julien.jorge@gamned.org>  Tue, 16 Nov 2010 20:37:13 +0200

libclaw (1.5.4-3) unstable; urgency=low

  [ Barry deFreese ]
  * Add myself to uploaders.
  * Bump cmake b-d to >= 2.8.
    + Puts FindCLAW.cmake in version dir, needs a better fix.

 -- Barry deFreese <bdefreese@debian.org>  Sat, 12 Dec 2009 16:15:56 -0500

libclaw (1.5.4-2) unstable; urgency=low

  * Pass -V option to dh_makeshlib.

 -- Julien Jorge <julien_jorge@yahoo.fr>  Tue, 08 Sep 2009 14:18:13 +0200

libclaw (1.5.4-1) unstable; urgency=low

  * New upstream release.
  * Remove patches included by upstream.
  * Change the title of the manpage.
  * Remove the version of the library from debian/rules.
  * Add a command to remove the '-static' part of the static libraries in the
    rule named "build-stamp".
  * Add the paths of new upstream files in debian/libclaw-dev.install.
  * Set Standards-Version: 3.8.3.

 -- Julien Jorge <julien_jorge@yahoo.fr>  Wed, 17 Jun 2009 21:56:57 +0200

libclaw (1.5.2b-2) UNRELEASED; urgency=low

  * Put the Debian Games Team in the Maintainer field
  * Add Vcs-* fields

 -- Eddy Petrișor <eddy.petrisor@gmail.com>  Fri, 22 Aug 2008 02:21:06 +0300

libclaw (1.5.2b-1) unstable; urgency=low

  * Initial release (Closes: #482320)

 -- Julien Jorge <julien_jorge@yahoo.fr>  Sat, 17 May 2008 15:36:57 +0200

=== debian/control ===
Source: libclaw
Section: devel
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Julien Jorge <julien.jorge@gamned.org>, Barry deFreese <bdefreese@debian.org>,
 Gonéri Le Bouder <goneri@rulezlan.org>
Build-Depends: debhelper (>= 9), docbook-to-man, cmake (>= 2.8),
 libjpeg-dev, libpng-dev, doxygen (>= 1.5),
 gettext (>= 0.17), libboost-dev (>= 1.42)
Standards-Version: 3.9.4
Homepage: http://libclaw.sourceforge.net
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/libclaw/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/libclaw/?op=log

Package: libclaw-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Description: Claw is a generalist C++ library (development files)
 Claw is a C++ Library Absolutely Wonderful bringing various nice
 classes and tools to C++ developers.
 .
 This library tries to be standard compliant and as portable as possible.
 .
 Claw provides:
  - tweener classes for easy interpolation,
  - advanced data structures: automaton, AVL binary search tree,
 graph, tree, ordered set, trie, maps with multiple types as keys,
  - geometric tools (2D): box/rectangle, point, line, vector,
  - image manipulation, reading and writing bitmap, jpeg, targa, png, pcx, xpm
 files
  - network tools: use sockets like any standard stream,
  - text algorithms,
  - min-max/alpha-beta algorithms,
  - developer tools: generic singleton, smart pointers,
 meta-programming concepts, buffered streams,
  - easy read of conf/ini files, easy access to environment variables,
  - manipulation of dynamic libraries,
  - and a lot more...

Package: libclaw-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery (>= 1.5)
Homepage: http://libclaw.sourceforge.net/
Description: Claw is a generalist C++ library (documentation files)
 Claw is a C++ Library Absolutely Wonderful bringing various nice
 classes and tools to C++ developers.
 .
 This package contains the HTML documentation of the API and a set of example
 programs.

Package: libclaw-application1v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, libclaw-logger1v5 (= ${binary:Version}),
 ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Conflicts: libclaw-application1
Replaces: libclaw-application1
Description: Set of classes to ease the initialisation of the program
 Part of the libclaw library.
 .
 This library is intended to help to manage the arguments of your program, with
 automatic management of short/long arguments and help message.

Package: libclaw-application-dev
Section: libdevel
Architecture: any
Depends: libclaw-dev (= ${binary:Version}),
 libclaw-application1v5 (= ${binary:Version}),
 libclaw-logger-dev (= ${binary:Version}),
 ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Description: Set of classes to ease the initialisation of the program (development files)
 Part of the libclaw library.
 .
 This library is intended to help to manage the arguments of your program, with
 automatic management of short/long arguments and help message.
 .
 This package contains the development files of the library.

Package: libclaw-configuration-file1v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Conflicts: libclaw-configuration-file1
Replaces: libclaw-configuration-file1
Description: Class to process configuration files
 Part of the libclaw library.
 .
 This library is intended to help to read configutation files divided in
 sections made of attribute/value pairs.

Package: libclaw-configuration-file-dev
Section: libdevel
Architecture: any
Depends: libclaw-dev (= ${binary:Version}),
 libclaw-configuration-file1v5 (= ${binary:Version}),
 ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Description: Class to process configuration files (development files)
 Part of the libclaw library.
 .
 This library is intended to help to read configutation files divided in
 sections made of attribute/value pairs.
 .
 This package contains the development files of the library.

Package: libclaw-dynamic-library1v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Conflicts: libclaw-dynamic-library1
Replaces: libclaw-dynamic-library1
Description: Class to ease the manipulation of dynamic libraries
 Part of the libclaw library.
 .
 This library is intended to ease the use or dynamic libraries: loading,
 checking the availability of a symbol and getting a function pointer on it.

Package: libclaw-dynamic-library-dev
Section: libdevel
Architecture: any
Depends: libclaw-dev (= ${binary:Version}),
 libclaw-dynamic-library1v5 (= ${binary:Version}), ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Description: Class to ease the manipulation of dynamic libraries (development files)
 Part of the libclaw library.
 .
 This library is intended to ease the use or dynamic libraries: loading,
 checking the availability of a symbol and getting a function pointer on it.
 .
 This package contains the development files of the library.

Package: libclaw-graphic1v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Conflicts: libclaw-graphic1
Replaces: libclaw-graphic1
Description: Set of classes for image manipulation
 Part of the libclaw library.
 .
 This library is intended to offer an easy way to deal with images, with read
 and write support of bmp, jpeg, pcx, png, targa and xbm files, and read only
 support for gif files.

Package: libclaw-graphic-dev
Section: libdevel
Architecture: any
Depends: libclaw-dev (= ${binary:Version}),
 libclaw-graphic1v5 (= ${binary:Version}), libjpeg-dev,
 libpng-dev, ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Description: Set of classes for image manipulation (development files)
 Part of the libclaw library.
 .
 This library is intended to offer an easy way to deal with images, with read
 and write support of bmp, jpeg, pcx, png, targa and xbm files, and read only
 support for gif files.
 .
 This package contains the development files of the library.

Package: libclaw-logger1v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Conflicts: libclaw-logger1
Replaces: libclaw-logger1
Description: Flexible log system
 Part of the libclaw library.
 .
 This library provides a log system allowing several levels of logging
 and redirectable streams.

Package: libclaw-logger-dev
Section: libdevel
Architecture: any
Depends: libclaw-dev (= ${binary:Version}),
 libclaw-logger1v5 (= ${binary:Version}), ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Description: Flexible log system (development files)
 Part of the libclaw library.
 .
 This library provides a log system allowing several level of log and
 redirectable streams.
 .
 This package contains the development files of the library.

Package: libclaw-net1v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Conflicts: libclaw-net1
Replaces: libclaw-net1
Description: C++ standard stream interface for Unix sockets
 Part of the libclaw library.
 .
 This library provides C++ classes to utilzed any
 Unix sockets as a standard stream.

Package: libclaw-net-dev
Section: libdevel
Architecture: any
Depends: libclaw-dev (= ${binary:Version}), libclaw-net1v5 (= ${binary:Version}),
 ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Description: C++ standard stream interface for Unix sockets (development files)
 Part of the libclaw library.
 .
 This library provides a C++ standard stream interface to Unix sockets.
 .
 This package contains the development files of the library.

Package: libclaw-tween1v5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Conflicts: libclaw-tween1
Replaces: libclaw-tween1
Description: C++ tweeners
 Part of the libclaw library.
 .
 Tween is a C++ library providing an implementation for tweening.
 .
 This library allows one to interpolate the intermediate values between
 two given values during a time interval. This practice is well used in
 animation and is widely popular in the context of ActionScript/Flash
 games and websites. The goal of this library is to provide similar
 functionalities to C++ programs.

Package: libclaw-tween-dev
Section: libdevel
Architecture: any
Depends: libclaw-dev (= ${binary:Version}), libclaw-tween1v5 (= ${binary:Version}),
 ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Description: C++ tweeners (development files)
 Part of the libclaw library.
 .
 This library provides a set of classes for tweeningin C++.
 .
 This package contains the development files of the library.

Package: libclaw-i18n
Section: libs
Architecture: all
Depends: ${misc:Depends}
Homepage: http://libclaw.sourceforge.net/
Description: Internationalisation files for libclaw
 This package provides internationalisation files for libclaw in the following
 languages:
 .
 * French

=== debian/watch ===
version=3
http://sf.net/libclaw/libclaw-(.*)\.tar\.gz

## libclaw 1.7.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 set( CLAW_VERSION_MAJOR 1 )
 set( CLAW_VERSION_MINOR 7 )
-set( CLAW_RELEASE_NUMBER 3 )
+set( CLAW_RELEASE_NUMBER 4 )
 
 set( CLAW_VERSION
   ${CLAW_VERSION_MAJOR}.${CLAW_VERSION_MINOR}.${CLAW_RELEASE_NUMBER}

=== claw/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(claw)

subdirs( impl )

file(GLOB CLAW_HEADERS "*.hpp")
install( FILES ${CLAW_HEADERS} DESTINATION "${CLAW_INSTALLDIR_SOURCE}" )
install(
  DIRECTORY meta tween
  DESTINATION "${CLAW_INSTALLDIR_SOURCE}"
  PATTERN "*~" EXCLUDE
  PATTERN ".svn" EXCLUDE
  )

=== cmake-module/CMakeLists.txt ===
--- 
+++ 
@@ -16,3 +16,22 @@
   FILES ${CLAW_CMAKE_MODULES}
   DESTINATION "${CLAW_CMAKE_MODULES_INSTALL_PATH}" )
 
+#-------------------------------------------------------------------------------
+# version file
+set(
+  CLAW_VERSION_FILE_NAME
+  "${CMAKE_CURRENT_BINARY_DIR}/libclaw-config-version.cmake"
+)
+
+include(CMakePackageConfigHelpers)
+
+write_basic_package_version_file(
+  "${CLAW_VERSION_FILE_NAME}"
+  VERSION "${CLAW_VERSION}"
+  COMPATIBILITY SameMajorVersion
+  )
+
+install(
+  FILES "${CLAW_VERSION_FILE_NAME}"
+  DESTINATION "${CLAW_CMAKE_MODULES_INSTALL_PATH}"
+  )

=== doc/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(claw)

include( ${CMAKE_ROOT}/Modules/FindDoxygen.cmake OPTIONAL )

if( DOXYGEN_FOUND )
  add_custom_target(
    doc ALL "${DOXYGEN_EXECUTABLE}"
    "${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile"
  )

  file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html")

  # install documentation
  install(
    DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/html"
    DESTINATION ${CLAW_INSTALLDIR_DOC}
  )
else( DOXYGEN_FOUND )
  message( "doxygen not found." )
endif( DOXYGEN_FOUND )

=== win/CMakeLists.txt ===
configure_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/definitions.txt.in"
  "${CMAKE_CURRENT_BINARY_DIR}/definitions.txt"
  IMMEDIATE @ONLY)

install( FILES definitions.txt
  DESTINATION ${CMAKE_INSTALL_PREFIX}/win )

=== claw/impl/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(claw)

file(GLOB CLAW_CODE "*.[ti]pp")
install( FILES ${CLAW_CODE} DESTINATION "${CLAW_INSTALLDIR_SOURCE}/impl" )

=== desktop/locale/CMakeLists.txt ===
include( FindGettext OPTIONAL )

if( GETTEXT_FOUND )
  subdirs( libclaw )
endif( GETTEXT_FOUND )

=== examples/automaton/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(claw-automaton-example)

# check profiling mode
if( CMAKE_BUILD_TYPE MATCHES profile )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE} -pg" )
endif( CMAKE_BUILD_TYPE MATCHES profile )

# check DEBUG mode
if( CMAKE_BUILD_TYPE MATCHES debug )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_DEBUG" )
endif( CMAKE_BUILD_TYPE MATCHES debug )

# common flags
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ansi -pedantic -Wall" )

find_package(libclaw)

include_directories( ${CLAW_INCLUDE_DIRECTORY} )
add_definitions( ${CLAW_DEFINITIONS} )

add_executable( ex-automaton main.cpp )

=== examples/avl/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(claw-avl-example)

# common flags
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ansi -pedantic -Wall" )

find_package(libclaw)

include_directories( ${CLAW_INCLUDE_DIRECTORY} )
add_definitions( ${CLAW_DEFINITIONS} )

add_executable( ex-avl main.cpp )
add_executable( ex-vs std_vs_claw.cpp )

=== examples/dynamic_library/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(claw-dynamic_library-example)

# check profiling mode
if( CMAKE_BUILD_TYPE MATCHES profile )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE} -pg" )
endif( CMAKE_BUILD_TYPE MATCHES profile )

# check DEBUG mode
if( CMAKE_BUILD_TYPE MATCHES debug )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_DEBUG" )
endif( CMAKE_BUILD_TYPE MATCHES debug )

# common flags
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ansi -pedantic -Wall" )

#-------------------------------------------------------------------------------
# look for libraries
find_package(libclaw)

add_definitions( ${CLAW_DEFINITIONS} )
include_directories( ${CLAW_INCLUDE_DIRECTORY} )
link_directories( ${CLAW_LINK_DIRECTORY} )

add_library( func SHARED func.cpp )
add_executable( ex-dynamic_library main.cpp )

target_link_libraries( ex-dynamic_library ${CLAW_DYNAMIC_LIBRARY_LIBRARIES} )

=== examples/game_ai/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(claw-ia-example)

subdirs(matches morpion_console)

=== examples/graph/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

project(claw-graph-example)

# check profiling mode
if( CMAKE_BUILD_TYPE MATCHES profile )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_RELEASE} -pg" )
endif( CMAKE_BUILD_TYPE MATCHES profile )

# check DEBUG mode
if( CMAKE_BUILD_TYPE MATCHES debug )
  set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_DEBUG" )
endif( CMAKE_BUILD_TYPE MATCHES debug )

# common flags
set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ansi -pedantic -Wall" )

find_package(libclaw)

include_directories( ${CLAW_INCLUDE_DIRECTORY} )
add_definitions( ${CLAW_DEFINITIONS} )

add_executable( ex-graph main.cpp )
add_executable( ex-algo algos.cpp )
add_executable( mk_test mk_test.cpp )

=== debian/changelog ===
libclaw (1.7.4-4) unstable; urgency=medium

  * Team upload.
  * Build with CMake 4 (Closes: #1113128)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 04 Oct 2025 14:09:55 +0200

libclaw (1.7.4-3) unstable; urgency=medium

  * Team Upload
  * Acknoweledge NMU. Thanks
  * remove retired uploader Gonéri Le Bouder. Thank you for your work.
  * Import on Salsa
  * Apply Multi-Arch: hint
  * Switch to debhelper-compat 13
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Fri, 08 Nov 2024 17:28:32 +0100

libclaw (1.7.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062251

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 10:26:39 +0000

libclaw (1.7.4-2) unstable; urgency=medium

  * Team upload.
  * Add gcc7.patch and fix FTBFS with GCC 7.
  * Switch to compat level 10.
  * Declare compliance with Debian Policy 4.0.1.

 -- Markus Koschany <apo@debian.org>  Thu, 17 Aug 2017 22:11:06 +0200

libclaw (1.7.4-1) unstable; urgency=medium

  * Team upload.
  * Imported Upstream version 1.7.4.
  * Declare compliance with Debian Policy 3.9.8.
  * wrap-and-sort -sa.
  * Vcs-Browser: Use the canonical URI and https.
  * d/control: Remove redundant Homepage fields.
  * Add get-orig-source target.
  * Add boost1.61.patch and work around a FTBFS with Boost 1.61.
  * Add gcc6-ftbfs.patch and fix FTBFS error: cannot convert
    'std::basic_istream<char>' to 'bool' in initialization. (Closes: #811611)
    Thanks to Martin Michlmayr for the report.
  * Fix debian/copyright and point to the LGPL-2.1 license.

 -- Markus Koschany <apo@debian.org>  Sun, 21 Aug 2016 23:17:27 +0200

=== debian/control ===
Source: libclaw
Section: devel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Julien Jorge <julien.jorge@gamned.org>,
 Barry deFreese <bdefreese@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 docbook-to-man,
 doxygen,
 gettext,
 libboost-dev,
 libjpeg-dev,
 libpng-dev
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/games-team/libclaw.git
Vcs-Browser: https://salsa.debian.org/games-team/libclaw
Homepage: http://libclaw.sourceforge.net

Package: libclaw-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends}
Description: Claw is a generalist C++ library (development files)
 Claw is a C++ Library Absolutely Wonderful bringing various nice
 classes and tools to C++ developers.
 .
 This library tries to be standard compliant and as portable as possible.
 .
 Claw provides:
  - tweener classes for easy interpolation,
  - advanced data structures: automaton, AVL binary search tree,
 graph, tree, ordered set, trie, maps with multiple types as keys,
  - geometric tools (2D): box/rectangle, point, line, vector,
  - image manipulation, reading and writing bitmap, jpeg, targa, png, pcx, xpm
 files
  - network tools: use sockets like any standard stream,
  - text algorithms,
  - min-max/alpha-beta algorithms,
  - developer tools: generic singleton, smart pointers,
 meta-programming concepts, buffered streams,
  - easy read of conf/ini files, easy access to environment variables,
  - manipulation of dynamic libraries,
  - and a lot more...

Package: libclaw-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
 libjs-jquery (>= 1.5),
 ${misc:Depends}
Description: Claw is a generalist C++ library (documentation files)
 Claw is a C++ Library Absolutely Wonderful bringing various nice
 classes and tools to C++ developers.
 .
 This package contains the HTML documentation of the API and a set of example
 programs.

Package: libclaw-application1t64
Provides: ${t64:Provides}
X-Time64-Compat: libclaw-application1v5
Breaks: libclaw-application1v5 (<< ${source:Version})
Section: libs
Architecture: any
Depends:
 libclaw-logger1t64 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 libclaw-application1
Replaces: libclaw-application1v5, libclaw-application1
Description: Set of classes to ease the initialisation of the program
 Part of the libclaw library.
 .
 This library is intended to help to manage the arguments of your program, with
 automatic management of short/long arguments and help message.

Package: libclaw-application-dev
Section: libdevel
Architecture: any
Depends:
 libclaw-application1t64 (= ${binary:Version}),
 libclaw-dev (= ${binary:Version}),
 libclaw-logger-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Set of classes to ease the initialisation of the program (development files)
 Part of the libclaw library.
 .
 This library is intended to help to manage the arguments of your program, with
 automatic management of short/long arguments and help message.
 .
 This package contains the development files of the library.

Package: libclaw-configuration-file1t64
Provides: ${t64:Provides}
X-Time64-Compat: libclaw-configuration-file1v5
Breaks: libclaw-configuration-file1v5 (<< ${source:Version})
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 libclaw-configuration-file1
Replaces: libclaw-configuration-file1v5, libclaw-configuration-file1
Description: Class to process configuration files
 Part of the libclaw library.
 .
 This library is intended to help to read configutation files divided in
 sections made of attribute/value pairs.

Package: libclaw-configuration-file-dev
Section: libdevel
Architecture: any
Depends:
 libclaw-configuration-file1t64 (= ${binary:Version}),
 libclaw-dev (= ${binary:Version}),
 ${misc:Depends}
Description: Class to process configuration files (development files)
 Part of the libclaw library.
 .
 This library is intended to help to read configutation files divided in
 sections made of attribute/value pairs.
 .
 This package contains the development files of the library.

Package: libclaw-dynamic-library1t64
Provides: ${t64:Provides}
X-Time64-Compat: libclaw-dynamic-library1v5
Breaks: libclaw-dynamic-library1v5 (<< ${source:Version})
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 libclaw-dynamic-library1
Replaces: libclaw-dynamic-library1v5, libclaw-dynamic-library1
Description: Class to ease the manipulation of dynamic libraries
 Part of the libclaw library.
 .
 This library is intended to ease the use or dynamic libraries: loading,
 checking the availability of a symbol and getting a function pointer on it.

Package: libclaw-dynamic-library-dev
Section: libdevel
Architecture: any
Depends:
 libclaw-dev (= ${binary:Version}),
 libclaw-dynamic-library1t64 (= ${binary:Version}),
 ${misc:Depends}
Description: Class to ease the manipulation of dynamic libraries (development files)
 Part of the libclaw library.
 .
 This library is intended to ease the use or dynamic libraries: loading,
 checking the availability of a symbol and getting a function pointer on it.
 .
 This package contains the development files of the library.

Package: libclaw-graphic1t64
Provides: ${t64:Provides}
X-Time64-Compat: libclaw-graphic1v5
Breaks: libclaw-graphic1v5 (<< ${source:Version})
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 libclaw-graphic1
Replaces: libclaw-graphic1v5, libclaw-graphic1
Description: Set of classes for image manipulation
 Part of the libclaw library.
 .
 This library is intended to offer an easy way to deal with images, with read
 and write support of bmp, jpeg, pcx, png, targa and xbm files, and read only
 support for gif files.

Package: libclaw-graphic-dev
Section: libdevel
Architecture: any
Depends:
 libclaw-dev (= ${binary:Version}),
 libclaw-graphic1t64 (= ${binary:Version}),
 libjpeg-dev,
 libpng-dev,
 ${misc:Depends}
Description: Set of classes for image manipulation (development files)
 Part of the libclaw library.
 .
 This library is intended to offer an easy way to deal with images, with read
 and write support of bmp, jpeg, pcx, png, targa and xbm files, and read only
 support for gif files.
 .
 This package contains the development files of the library.

Package: libclaw-logger1t64
Provides: ${t64:Provides}
X-Time64-Compat: libclaw-logger1v5
Breaks: libclaw-logger1v5 (<< ${source:Version})
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 libclaw-logger1
Replaces: libclaw-logger1v5, libclaw-logger1
Description: Flexible log system
 Part of the libclaw library.
 .
 This library provides a log system allowing several levels of logging
 and redirectable streams.

Package: libclaw-logger-dev
Section: libdevel
Architecture: any
Depends:
 libclaw-dev (= ${binary:Version}),
 libclaw-logger1t64 (= ${binary:Version}),
 ${misc:Depends}
Description: Flexible log system (development files)
 Part of the libclaw library.
 .
 This library provides a log system allowing several level of log and
 redirectable streams.
 .
 This package contains the development files of the library.

Package: libclaw-net1t64
Provides: ${t64:Provides}
X-Time64-Compat: libclaw-net1v5
Breaks: libclaw-net1v5 (<< ${source:Version})
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 libclaw-net1
Replaces: libclaw-net1v5, libclaw-net1
Description: C++ standard stream interface for Unix sockets
 Part of the libclaw library.
 .
 This library provides C++ classes to utilzed any
 Unix sockets as a standard stream.

Package: libclaw-net-dev
Section: libdevel
Architecture: any
Depends:
 libclaw-dev (= ${binary:Version}),
 libclaw-net1t64 (= ${binary:Version}),
 ${misc:Depends}
Description: C++ standard stream interface for Unix sockets (development files)
 Part of the libclaw library.
 .
 This library provides a C++ standard stream interface to Unix sockets.
 .
 This package contains the development files of the library.

Package: libclaw-tween1t64
Provides: ${t64:Provides}
X-Time64-Compat: libclaw-tween1v5
Breaks: libclaw-tween1v5 (<< ${source:Version})
Section: libs
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts:
 libclaw-tween1
Replaces: libclaw-tween1v5, libclaw-tween1
Description: C++ tweeners
 Part of the libclaw library.
 .
 Tween is a C++ library providing an implementation for tweening.
 .
 This library allows one to interpolate the intermediate values between
 two given values during a time interval. This practice is well used in
 animation and is widely popular in the context of ActionScript/Flash
 games and websites. The goal of this library is to provide similar
 functionalities to C++ programs.

Package: libclaw-tween-dev
Section: libdevel
Architecture: any
Depends:
 libclaw-dev (= ${binary:Version}),
 libclaw-tween1t64 (= ${binary:Version}),
 ${misc:Depends}
Description: C++ tweeners (development files)
 Part of the libclaw library.
 .
 This library provides a set of classes for tweeningin C++.
 .
 This package contains the development files of the library.

Package: libclaw-i18n
Section: libs
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Description: Internationalisation files for libclaw
 This package provides internationalisation files for libclaw in the following
 languages:
 .
 * French

=== debian/watch ===
version=4
http://sf.net/libclaw/libclaw-(.*)\.tar\.gz
